Bukkit Forums

May
14
by EvilSeph at 8:12 PM
(51,403 Views / 0 Likes)
26 Comments
A new CraftBukkit Beta Build (1.7.9-R0.1) that provides Minecraft 1.7.9 compatibility is now available. Please note: the stability of this build is relatively unknown due to the impact Minecraft 1.7 had on the core code.

Will plugins break with this build?
Minecraft 1.7 is one of the most involved and impactful updates to date, bringing about many changes to the core of Minecraft. As a result, there is a chance that plugins might break with this build. Even if that isn't the case, we have not completed work on API changes for 1.7 yet so future builds might still break plugins.

What is a Beta build?
A Beta Build is in between a developer build and a Recommended Build. These builds simply work and are promoted much more frequently than a Recommended Build. While we will do some testing before promoting a beta build, we will not be running it through our extensive test process. As such, there are no guarantees that they will not contain minor bugs. If we do find out...
Apr
17
by EvilSeph at 12:10 PM
(117,775 Views / 5 Likes)
53 Comments
A new CraftBukkit for Minecraft 1.7.9 DEVELOPMENT build is now available!

As of this post, we've shifted development over to Minecraft 1.7.9 compatibility and now have development builds available. We strongly suggest that you only use this build if you would like to help us get a Beta build out sooner and are experienced with using unsupported development builds.

Minecraft 1.7.6+ contains important changes to enable support for the upcoming switch to UUIDs and name changing. We strongly recommend you read our previous article on the switch to UUIDs to help you understand what it means for servers and how to prepare for Mojang allowing name changes by Minecraft 1.8.

WARNING: Minecraft 1.7.9 is an update that requires clients to update before being able to connect. This means that players will not be able to connect to your server if they have not updated to at...
Apr
11
by EvilSeph at 8:43 PM
(36,831 Views / 0 Likes)
25 Comments
A new CraftBukkit for Minecraft 1.7.8 DEVELOPMENT build is now available!

As of this post, we've shifted development over to Minecraft 1.7.8 compatibility and now have development builds available. We strongly suggest that you only use this build if you would like to help us get a Beta build out sooner and are experienced with using unsupported development builds.

Minecraft 1.7.8 contains important changes to enable support for the upcoming switch to UUIDs and name changing. We strongly recommend you read our previous article on the switch to UUIDs to help you understand what it means for servers and how to prepare for Mojang allowing name changes by Minecraft 1.8.

WARNING: Minecraft 1.7.8 is an update that requires clients to update before being able to connect. This means that players will not be able to connect to your server if they have not updated to at...
Apr
11
by EvilSeph at 6:37 PM
(12,914 Views / 0 Likes)
13 Comments
Three days ago (April 8th, 2014) word broke of a critical vulnerability (code named "Heartbleed") within the popular cryptographic software, OpenSSL, that allows an attacker to read the memory of the host system. Roughly two thirds of the internet relies on OpenSSL to keep sensitive data secret and private, leaving many sites and services (including those provided by Bukkit) potentially open to data leakage.

How did Bukkit respond?
CloudFlare, a service we depend on for Content Distribution among other things for many of our sites, patched the hole before it became public knowledge and we patched the rest of our systems shortly after (although it did take slightly longer due to complications we experienced with some of them). Despite our relatively quick response to this issue, this security hole has existed in OpenSSL since December 31, 2011 (though it was only made known recently) so the impact of this vulnerability is unknown.

What do we recommend you do?
It's...